Qt Reference Documentation

# QMouseEventTransition Class Reference

The QMouseEventTransition class provides a transition for mouse events. More...

     #include <QMouseEventTransition>

Inherits: QEventTransition.

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Properties

- button : Qt::MouseButton
- modifierMask : Qt::KeyboardModifiers

- 2 properties inherited from QEventTransition
- 3 properties inherited from QAbstractTransition
- 1 property inherited from QObject

## Public Functions

| QMouseEventTransition ( QState * sourceState = 0 )
| QMouseEventTransition ( QObject * object, QEvent::Type type, Qt::MouseButton button, QState * sourceState = 0 )
| ~QMouseEventTransition ()
Qt::MouseButton | button () const
QPainterPath | hitTestPath () const
Qt::KeyboardModifiers | modifierMask () const
void | setButton ( Qt::MouseButton button )
void | setHitTestPath ( const QPainterPath & path )
void | setModifierMask ( Qt::KeyboardModifiers modifierMask )

- 4 public functions inherited from QEventTransition
- 9 public functions inherited from QAbstractTransition
- 29 public functions inherited from QObject

## Reimplemented Protected Functions

virtual bool | eventTest ( QEvent * event )
virtual void | onTransition ( QEvent * event )

- 3 protected functions inherited from QEventTransition
- 3 protected functions inherited from QAbstractTransition
- 8 protected functions inherited from QObject

### Additional Inherited Members

- 1 public slot inherited from QObject
- 1 signal inherited from QAbstractTransition
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 3 protected functions inherited from QEventTransition
- 3 protected functions inherited from QAbstractTransition
- 8 protected functions inherited from QObject

## Detailed Description

The QMouseEventTransition class provides a transition for mouse events.

QMouseEventTransition is part of The State Machine Framework.

See also QState::addTransition().

## Property Documentation

### button : Qt::MouseButton

This property holds the button that this mouse event transition is associated with.

Access functions:

Qt::MouseButton | button () const
void | setButton ( Qt::MouseButton button )

### modifierMask : Qt::KeyboardModifiers

This property holds the keyboard modifier mask that this mouse event transition checks for.

Access functions:

Qt::KeyboardModifiers | modifierMask () const
void | setModifierMask ( Qt::KeyboardModifiers modifierMask )

## Member Function Documentation

### QMouseEventTransition::QMouseEventTransition ( QState * sourceState = 0 )

Constructs a new mouse event transition with the given sourceState.

### QMouseEventTransition::QMouseEventTransition ( QObject * object, QEvent::Type type, Qt::MouseButton button, QState * sourceState = 0 )

Constructs a new mouse event transition for events of the given type for the given object, with the given button and sourceState.

### QMouseEventTransition::~QMouseEventTransition ()

Destroys this mouse event transition.

### bool QMouseEventTransition::eventTest ( QEvent * event )`[virtual protected]`

Reimplemented from QAbstractTransition::eventTest().

### QPainterPath QMouseEventTransition::hitTestPath () const

Returns the hit test path for this mouse event transition.

See also setHitTestPath().

### void QMouseEventTransition::onTransition ( QEvent * event )`[virtual protected]`

Reimplemented from QAbstractTransition::onTransition().

### void QMouseEventTransition::setHitTestPath ( const QPainterPath & path )

Sets the hit test path for this mouse event transition to path. If a valid path has been set, the transition will only trigger if the mouse event position (QMouseEvent::pos()) is inside the path.

See also hitTestPath() and QPainterPath::contains().